--- a/po/generate-manpage.sh
+++ b/po/generate-manpage.sh
@@ -38,6 +38,16 @@
 		original="$uncompressed_manpage"
 	fi
 fi
+# Try a bzip'ed version
+if [ ! -f "$original" ]; then
+	original=/usr/share/man/man$section/$manpage.bz2
+	if [ -f "$original" ]; then
+		# The manpage exists, but needs to be decompressed
+		uncompressed_manpage=`mktemp`
+		bzip2 -d -c "$original" > "$uncompressed_manpage"
+		original="$uncompressed_manpage"
+	fi
+fi
 # Cannot generate manpage if the original could not be found
 if [ ! -f "$original" ]; then
 	echo "The original manpage for $manpage could not be found." >&2
